1. Checkout
ANJA Checkout - Mock
  • Checkout
    • Offer
      • Get Offer by Code
    • Make a payment
      PUT
    • Launch checkout
      GET
    • Track
      PUT
  • Schemas
    • Checkout
      • User
        • Track
      • Offer
  1. Checkout

Make a payment

Developing
PUT
/api/checkout/payment

Request

Body Params application/json

Example
{
    "sessionid": "string",
    "payment_method": "pix"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://petstore-demo.apidog.com/api/checkout/payment' \
--header 'Content-Type: application/json' \
--data-raw '{
    "sessionid": "string",
    "payment_method": "pix"
}'

Responses

🟢200OK
application/json
Body

Examples
{
    "status": "waiting_payment",
    "success": true,
    "order": {
        "code": "d4c75eeb-3b90-497a-8f25-7236e773420f",
        "payment_method": "pix"
    },
    "redirect": {
        "url": "https://illiterate-toy.net"
    }
}
🟠400Bad Request
Modified at 2023-01-29 06:27:54
Previous
Get Offer by Code
Next
Launch checkout
Built with